net.minecraft.client.multiplayer

## Class WorldClient

- java.lang.Object
- - net.minecraft.world.World
  - - net.minecraft.client.multiplayer.WorldClient

- All Implemented Interfaces:
    IBlockAccess

      public class WorldClient
      extends World

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.World

      `activeChunkSet, difficultySetting, editingBlocks, findingSpawnPoint, isRemote, lastLightningBolt, loadedEntityList, loadedTileEntityList, mapStorage, MAX_ENTITY_RADIUS, perWorldStorage, playerEntities, prevRainingStrength, prevThunderingStrength, provider, rainingStrength, rand, scheduledUpdatesAreImmediate, skylightSubtracted, theProfiler, thunderingStrength, villageCollectionObj, weatherEffects`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldClient(NetClientHandler par1NetClientHandler, WorldSettings par2WorldSettings, int par3, int par4, Profiler par5Profiler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntityToWorld(int par1, Entity par2Entity)` Add an ID to Entity mapping to entityHashSet
    `CrashReportCategory` | `addWorldInfoToCrashReport(CrashReport par1CrashReport)` Adds some basic stats of the world to the given crash report.
    `void` | `doPreChunk(int par1, int par2, boolean par3)`
    `void` | `func_73029_E(int par1, int par2, int par3)`
    `IUpdatePlayerListBox` | `func_82735_a(EntityMinecart par1EntityMinecart)`
    `void` | `func_92088_a(double par1, double par3, double par5, double par7, double par9, double par11, NBTTagCompound par13NBTTagCompound)`
    `Entity` | `getEntityByID(int par1)` Returns the Entity with the given ID, or null if it doesn't exist in this World.
    `void` | `invalidateBlockReceiveRegion(int par1, int par2, int par3, int par4, int par5, int par6)` Invalidates an AABB region of blocks from the receive queue, in the event that the block has been modified client-side in the intervening 80 receive ticks.
    `void` | `playSound(double par1, double par3, double par5, String par7Str, float par8, float par9, boolean par10)` par8 is loudness, all pars passed to minecraftInstance.sndManager.playSound
    `void` | `releaseEntitySkin(Entity par1Entity)` Decrement the reference counter for this entity's skin image data
    `void` | `removeAllEntities()` also releases skins.
    `void` | `removeEntity(Entity par1Entity)` Schedule the entity for removal during the next tick.
    `Entity` | `removeEntityFromWorld(int par1)`
    `void` | `sendQuittingDisconnectingPacket()` If on MP, sends a quitting packet.
    `boolean` | `setBlockAndMetadataAndInvalidate(int par1, int par2, int par3, int par4, int par5)`
    `boolean` | `spawnEntityInWorld(Entity par1Entity)` Called to place all entities as part of a world
    `void` | `tick()` Runs a single tick for the world
    `void` | `updateWeatherBody()`

    - ### Methods inherited from class net.minecraft.world.World

      `addBlockEvent, addLoadedEntities, addTileEntity, addTileEntity, addWeatherEffect, addWorldAccess, blockExists, blockGetRenderType, blockHasTileEntity, calculateInitialSkylight, calculateInitialWeatherBody, calculateSkylightSubtracted, canBlockFreeze, canBlockFreezeBody, canBlockSeeTheSky, canLightningStrikeAt, canMineBlock, canMineBlockBody, canPlaceEntityOnSide, canSnowAt, canSnowAtBody, checkChunksExist, checkIfAABBIsClear, checkIfAABBIsClearExcludingEntity, checkSessionLock, countEntities, createExplosion, destroyBlockInWorldPartially, doChunksNearChunkExist, doesBlockHaveSolidTopSurface, drawClouds, drawCloudsBody, extendedLevelsInChunkCache, extinguishFire, findClosestStructure, findNearestEntityWithinAABB, func_82734_g, func_82738_a, func_82739_e, func_82740_a, func_85174_u, getActualHeight, getAllCollidingBoundingBoxes, getBiomeGenForCoords, getBiomeGenForCoordsBody, getBlockDensity, getBlockId, getBlockLightOpacity, getBlockLightValue_do, getBlockLightValue, getBlockMaterial, getBlockMetadata, getBlockTileEntity, getBrightness, getCelestialAngle, getCelestialAngleRadians, getChunkFromBlockCoords, getChunkFromChunkCoords, getChunkProvider, getClosestPlayer, getClosestPlayerToEntity, getClosestVulnerablePlayer, getClosestVulnerablePlayerToEntity, getCollidingBoundingBoxes, getCurrentDate, getDebugLoadedEntities, getEntitiesWithinAABB, getEntitiesWithinAABBExcludingEntity, getEntityPathToXYZ, getFirstUncoveredBlock, getFogColor, getFullBlockLightValue, getGameRules, getHeight, getHeightValue, getHorizon, getLightBrightness, getLightBrightnessForSkyBlocks, getLoadedEntityList, getMoonPhase, getPathEntityToEntity, getPendingBlockUpdates, getPersistentChunks, getPlayerEntityByName, getPrecipitationHeight, getProviderName, getRainStrength, getSavedLightValue, getSaveHandler, getSeed, getSkyBlockTypeBrightness, getSkyColor, getSkyColorBody, getSpawnPoint, getStarBrightness, getStarBrightnessBody, getSunBrightness, getTopSolidOrLiquidBlock, getTotalWorldTime, getUniqueDataId, getWeightedThunderStrength, getWorldChunkManager, getWorldInfo, getWorldTime, getWorldVec3Pool, handleMaterialAcceleration, isAABBInMaterial, isAABBNonEmpty, isAirBlock, isAnyLiquid, isBlockFreezable, isBlockFreezableNaturally, isBlockGettingPowered, isBlockHighHumidity, isBlockIndirectlyGettingPowered, isBlockIndirectlyProvidingPowerTo, isBlockNormalCube, isBlockNormalCubeDefault, isBlockOpaqueCube, isBlockProvidingPowerTo, isBlockSolidOnSide, isBlockSolidOnSide, isBoundingBoxBurning, isDaytime, isMaterialInBB, isRaining, isThundering, joinEntityInSurroundings, loadItemData, markBlockForRenderUpdate, markBlockForRenderUpdate2, markBlockForUpdate, markBlockRangeForRenderUpdate, markBlocksDirtyVertical, markTileEntityForDespawn, newExplosion, notifyBlockChange, notifyBlocksOfNeighborChange, playAuxSFX, playAuxSFXAtEntity, playRecord, playSoundAtEntity, playSoundEffect, playSoundToNearExcept, rayTraceBlocks_do_do, rayTraceBlocks_do, rayTraceBlocks, removeBlockTileEntity, removePlayerEntityDangerously, removeWorldAccess, scheduleBlockUpdate, scheduleBlockUpdateFromLoad, selectEntitiesWithinAABB, setAllowedSpawnTypes, setBlock, setBlockAndMetadata, setBlockAndMetadataWithNotify, setBlockAndMetadataWithUpdate, setBlockMetadata, setBlockMetadataWithNotify, setBlockTileEntity, setBlockWithNotify, setEntityState, setItemData, setLightValue, setRainStrength, setRandomSeed, setSpawnLocation, setSpawnLocation, setWorldTime, spawnParticle, tickUpdates, toggleRain, unloadEntities, updateAllLightTypes, updateAllPlayersSleepingFlag, updateEntities, updateEntity, updateEntityWithOptionalForce, updateLightByType, updateTileEntityChunkAndDoNothing`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldClient

          public WorldClient(NetClientHandler par1NetClientHandler,
                     WorldSettings par2WorldSettings,
                     int par3,
                     int par4,
                     Profiler par5Profiler)

  - ### Method Detail

    - #### tick

          public void tick()

      Runs a single tick for the world
      Overrides:
        `tick` in class `World`

    - #### invalidateBlockReceiveRegion

          public void invalidateBlockReceiveRegion(int par1,
                                          int par2,
                                          int par3,
                                          int par4,
                                          int par5,
                                          int par6)

      Invalidates an AABB region of blocks from the receive queue, in the event that the block has been modified client-side in the intervening 80 receive ticks.

    - #### doPreChunk

          public void doPreChunk(int par1,
                        int par2,
                        boolean par3)

    - #### spawnEntityInWorld

          public boolean spawnEntityInWorld(Entity par1Entity)

      Called to place all entities as part of a world
      Overrides:
        `spawnEntityInWorld` in class `World`

    - #### removeEntity

          public void removeEntity(Entity par1Entity)

      Schedule the entity for removal during the next tick. Marks the entity dead in anticipation.
      Overrides:
        `removeEntity` in class `World`

    - #### releaseEntitySkin

          public void releaseEntitySkin(Entity par1Entity)

      Decrement the reference counter for this entity's skin image data
      Overrides:
        `releaseEntitySkin` in class `World`

    - #### addEntityToWorld

          public void addEntityToWorld(int par1,
                              Entity par2Entity)

      Add an ID to Entity mapping to entityHashSet

    - #### getEntityByID

          public Entity getEntityByID(int par1)

      Returns the Entity with the given ID, or null if it doesn't exist in this World.
      Specified by:
        `getEntityByID` in class `World`

    - #### removeEntityFromWorld

          public Entity removeEntityFromWorld(int par1)

    - #### setBlockAndMetadataAndInvalidate

          public boolean setBlockAndMetadataAndInvalidate(int par1,
                                                 int par2,
                                                 int par3,
                                                 int par4,
                                                 int par5)

    - #### sendQuittingDisconnectingPacket

          public void sendQuittingDisconnectingPacket()

      If on MP, sends a quitting packet.
      Overrides:
        `sendQuittingDisconnectingPacket` in class `World`

    - #### func_82735_a

          public IUpdatePlayerListBox func_82735_a(EntityMinecart par1EntityMinecart)

      Overrides:
        `func_82735_a` in class `World`

    - #### updateWeatherBody

          public void updateWeatherBody()

      Overrides:
        `updateWeatherBody` in class `World`

    - #### func_73029_E

          public void func_73029_E(int par1,
                          int par2,
                          int par3)

    - #### removeAllEntities

          public void removeAllEntities()

      also releases skins.

    - #### addWorldInfoToCrashReport

          public CrashReportCategory addWorldInfoToCrashReport(CrashReport par1CrashReport)

      Adds some basic stats of the world to the given crash report.
      Overrides:
        `addWorldInfoToCrashReport` in class `World`

    - #### playSound

          public void playSound(double par1,
                       double par3,
                       double par5,
                       String par7Str,
                       float par8,
                       float par9,
                       boolean par10)

      par8 is loudness, all pars passed to minecraftInstance.sndManager.playSound
      Overrides:
        `playSound` in class `World`

    - #### func_92088_a

          public void func_92088_a(double par1,
                          double par3,
                          double par5,
                          double par7,
                          double par9,
                          double par11,
                          NBTTagCompound par13NBTTagCompound)

      Overrides:
        `func_92088_a` in class `World`